# gen_shufflable_en_conf.py -- Font subsetize tool for SDL_Pango.
# Copyright (C) 2004 NAKAMURA Ken'ichi
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

import unicodedata
from gnosis.xml.pickle import XML_Pickler
import re
import string

def GetLatinEnStr():
    match_latin_en = re.compile('^[0-9A-F]{4}\;LATIN (CAPITAL|SMALL) LETTER .\;')
    
    chars = []
    
    f_ucd = file('UnicodeData.txt', 'r')
    
    for line in f_ucd:
        if match_latin_en.search(line) == None:
            continue
        c = int(line[0:4], 16)
        chars.append(unichr(c))
    
    f_ucd.close()
    
    return string.join(chars, '')

d = {}
d['latin_en'] = GetLatinEnStr()

f = file('shufflable_en.conf', 'w')
XML_Pickler().dump(f, d)
f.close()
