# gen_shufflable_jp_conf.py -- Font subsetize tool for SDL_Pango.
# Copyright (C) 2004 NAKAMURA Ken'ichi
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

import unicodedata
from gnosis.xml.pickle import XML_Pickler
import re
import string

def GetKanjiStr():
    match_jis = re.compile('^U.*kJis0')
    
    chars = []
    
    f_unihan = file('Unihan.txt', 'r')
    
    for line in f_unihan:
        if match_jis.search(line) == None:
            continue
        c = int(line[2:6], 16)
        chars.append(unichr(c))
    
    f_unihan.close()
    
    return string.join(chars, '')

def GetHiraganaKatakanaStr():
    match_kana = re.compile('HIRAGANA LETTER|KATAKANA LETTER')
    match_small = re.compile('LETTER SMALL')

    chars = []
    
    f_ucd = file('UnicodeData.txt', 'r')
    
    for line in f_ucd:
        if match_kana.search(line) == None:
            continue
        elif match_small.search(line) != None:
            continue
        c = int(line[0:4], 16)
        chars.append(unichr(c))
    
    f_ucd.close()
    
    return string.join(chars, '')

d = {}
d['hiragana_katakana_kanji'] = GetKanjiStr() + GetHiraganaKatakanaStr()

f = file('shufflable_jp.conf', 'w')
XML_Pickler().dump(f, d)
f.close()
