# pangosweeper.py -- Font subsetize tool for SDL_Pango.
# Copyright (C) 2004 NAKAMURA Ken'ichi
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

from pangosweeperimpl import PangoSweeperImpl
from util import *

class PangoSweeper(PangoSweeperImpl):
    def setCodebook(self, codebok):
        from codebook import ProxyCodebook
        pcb = ProxyCodebook()
        pcb.setCodebook(codebok)
        PangoSweeperImpl.setCodebook(self, pcb)

    def sweep(self, pangotag_list, content):
        """Render content internally and build Codebook."""
        tag_start = ''
        tag_end = ''
        for i in pangotag_list:
            tag_start += i.getStartTag()
            tag_end = i.getEndTag() + tag_end
        s = encode(tag_start + content + tag_end)
        PangoSweeperImpl.sweep(self, s)
