# pangotag.py -- Font subsetize tool for SDL_Pango.
# Copyright (C) 2004 NAKAMURA Ken'ichi
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

class PangoTag:
    """Describe Pango's tag."""
    def __init__(self):
        self._attr_list = []
    
    def setElementName(self, name):
        if name == u'p':
            name = u'markup'
        self._elementName = name
    
    def getElementName(self):
        return self._elementName
    
    def addAttr(self, attr_name, content):
        self._attr_list.append((attr_name, content))
    
    def getAttrs(self):
        return self._attr_list
    
    def getStartTag(self):
        s = u'<' + self._elementName
        for i in self._attr_list:
            s += u' ' + i[0] + u'="' + i[1] + u'"'
        s += u'>'
        return s
    
    def getEndTag(self):
        s = u'</' + self._elementName + u'>'
        return s

