import unittest
from util import FaceId

name = 'filename'
index = 1

class FaceIdTestCase(unittest.TestCase):
    def setUp(self):
        self.a = FaceId(name, index)
    
    def testIdentify(self):
        assert self.a.getName() == name
        assert self.a.getIndex() == index
    
    def testCmpNE(self):
        b = FaceId('otherfile', 1)
        assert self.a != b
    
    def testCmpEQ(self):
        c = FaceId(name, index)
        assert self.a == c
    
    def testDic(self):
        dic = {}
        dic[self.a] = 1
        d = FaceId('otherfile', 2)
        dic[d] = 2
        assert dic[self.a] == 1
        assert dic[d] == 2

if __name__ == "__main__":
    unittest.main()
